extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Modelos"
    - var CabeceraListado = ["Fabricante","Marca","Modelo","Descripción"]
    - var CantidadListado = "{{ tModelos.length }}"
    - var TituloDatos = "Detalles del Modelo"
    - var TamanoColeccion = "tModelos.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tModeloFor of tModelos | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Modelo_Eliminar(tModeloFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Modelo(tModeloFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap  [{{ tModeloFor.Codfabricante }}] {{ tModeloFor.Descripcion_Fabricante | slice:0:20 }}
        td
            h6.text-xs.text-nowrap  [{{ tModeloFor.Codmarca }}] {{ tModeloFor.Descripcion_Marca | slice:0:20 }}
        td
            h6.text-xs {{ tModeloFor.Codmodelo  }}
        td
            h6.text-xs.text-nowrap {{ tModeloFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-modelo-cabecera([(Modelo)]="tModeloActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
            href="#Informacion",
            role="tab",
            aria-controls="Informacion",
            aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-modelo-detalles([(Modelo)]="tModeloActual",
                                  [Fabricantes]="tFabricantes",
                                  [Nuevo]="tNuevo")
